#pragma once
#include "robbase.h"


class ROBBASE_API CCrition
{
public:
	CCrition(void);
	virtual ~CCrition(void);

	BOOL  Lock(BOOL bTry);
	void  Unlock();

public :
	TCHAR  m_strName[ROB_MAX_SYNCOBJ_NAME_LEN];

private :
	CRITICAL_SECTION m_cs; 
 
};

